- Qt 5.15
- Qt 3D
- Qt3DRender Namespace
- Qt 5.15.19 Reference Documentation

# Qt3DRender Namespace

Contains classes that enable 2D and 3D rendering. More...

Header: | #include <Qt3DRender>
qmake: | QT += 3drender

## Namespaces

namespace | Quick
namespace | Render

## Types

typedef | QBufferDataGeneratorPtr
typedef | QBufferPtr

## Functions

int | operator!=(const int &reference, const int &sample)
int | operator==(const int &reference, const int &sample)

## Detailed Description

## Namespaces

### namespace Qt3DRender::Quick

### namespace Qt3DRender::Render

## Type Documentation

### typedef QBufferDataGeneratorPtr

### typedef QBufferPtr

## Function Documentation

### int operator!=(const int &reference, const int &sample)

Returns `true` if reference and sample are different.

### int operator==(const int &reference, const int &sample)

Returns `true` if reference and sample are equivalent.